<script setup lang="ts">
import { ref } from 'vue'
import { useAuthStore } from '@/stores/auth'
import { useReceiptStore } from '@/stores/receipt'
import { useDateStore } from '@/stores/date'

const authStore = useAuthStore()
const receiptStore = useReceiptStore()
const dateStore = useDateStore()

const fav = ref(true)
const menu = ref(false)

const logout = () => {
  menu.value = false
  authStore.logout()
  receiptStore.clear()
  dateStore.clear()
}
</script>
<template>
  <v-layout>
    <v-app-bar color="teal-darken-4">
      <v-container fluid class=".app">
        <v-row>
          <v-col>
            <v-app-bar-title>Black</v-app-bar-title>
          </v-col>
          <v-col>
            <v-btn :to="{ name: 'home' }" width="150"> home </v-btn>
          </v-col>
          <v-col>
            <v-btn :to="{ name: 'pos' }" width="150"> pos </v-btn>
          </v-col>
          <v-col>
            <v-btn :to="{ name: 'product' }" width="150"> product </v-btn>
          </v-col>
          <v-col>
            <v-btn :to="{ name: 'bill' }" width="150"> bill </v-btn>
          </v-col>
          <v-col>
            <v-btn :to="{ name: 'stock' }" width="150"> stock </v-btn>
          </v-col>
          <v-col>
            <v-btn :to="{ name: 'checkInOut' }" width="150"> checkInOut </v-btn>
          </v-col>
          <v-col>
            <v-btn :to="{ name: 'member' }" width="150"> Member </v-btn>
          </v-col>
          <v-col>
            <v-btn :to="{ name: 'pay' }" width="150"> pay </v-btn>
          </v-col>

          <v-col>
            <div class="text-center" width="220">
              <v-menu v-model="menu" :close-on-content-click="false" location="bottom">
                <template v-slot:activator="{ props }">
                  <v-btn v-bind="props">
                    {{ authStore.getCurrentUser()?.fullName }}
                    <v-avatar size="32" style="margin-left: 10%">
                      <v-img src="https://cdn.vuetifyjs.com/images/john.jpg"></v-img>
                    </v-avatar>
                  </v-btn>
                </template>

                <v-card min-width="300">
                  <v-list>
                    <v-list-item
                      prepend-avatar="https://cdn.vuetifyjs.com/images/john.jpg"
                      :title="authStore.getCurrentUser()?.fullName"
                      :subtitle="authStore.getCurrentUser()?.email"
                    >
                      <template v-slot:append>
                        <v-btn
                          variant="text"
                          :class="fav ? 'text-red' : ''"
                          icon="mdi-heart"
                          @click="fav = !fav"
                        ></v-btn>
                      </template>
                    </v-list-item>
                  </v-list>

                  <v-divider></v-divider>

                  <v-list>
                    <v-list-item>
                      <v-btn
                        prepend-icon="mdi-logout"
                        color="error"
                        variant="text"
                        @click="authStore.logout()"
                        width="100%"
                        >Sign out</v-btn
                      >
                    </v-list-item>
                  </v-list>

                  <v-card-actions>
                    <v-spacer></v-spacer>

                    <v-btn variant="text"> Cancel </v-btn>
                  </v-card-actions>
                </v-card>
              </v-menu>
            </div>
          </v-col>
        </v-row>
      </v-container>
    </v-app-bar>

    <v-main>
      <router-view style="height: 100%"></router-view>
      <v-footer class="d-flex flex-column bg-black">
        <v-table style="width: 100%; background-color: black; color: aliceblue">
          <thead>
            <tr style="font-size: large">
              <th></th>
              <th>SUPPORT</th>
              <th>ADDRESS</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td>
                <v-img
                  width="120px"
                  src="./img/cafe/BlackLogo.png"
                  class="mx-auto d-flex justify-center align-center"
                  cover
                ></v-img>
              </td>
              <td>Call : 097-969-7726<br />Email : blackcoffee@gmail.com</td>
              <td>
                42 Maple Avenue<br />
                Springfield<br />
                IL 62704<br />
                United States.
              </td>
            </tr>
          </tbody>
        </v-table>

        <div>{{ new Date().getFullYear() }} — <strong>Black coffee</strong></div>
      </v-footer>
    </v-main>
  </v-layout>
</template>
<style scoped>
.app {
  font-family: 'Bebas Neue';
  font-size: 24px;
}
td {
  color: gray;
}
th {
  width: auto;
}
</style>
